var information_view
var information_details_view
var foto_category_view
var foto_gallery_view
var video_view
var video_player_view

var information_view_component
var information_details_view_component
var foto_category_view_component
var foto_gallery_view_component
var video_view_component
var video_player_component


function navigateToView(view)
{
    page_stack.push(view)
}

function navigateToPrimaryView(view)
{
    page_stack.clear()
    page_stack.push(view)
}

function openFooterItem(index)
{
    if(index == 0) {
        openInformationView()
    } else if(index == 1) {
        openVideoView()
    } else if(index == 2) {
        openFotoCategoryView()
    }
}

function openInformationDetailView(oid, category, title)
{
    if(!information_details_view_component) {
        information_details_view_component = Qt.createComponent("InformationDetailView.qml")
        if(information_details_view_component.status == Component.Error) {
            native_utils.showMessageBox("Failed to create component InformationDetailView component: " + information_details_view_component.errorString());
            return;
        }
    }

    if(!information_details_view) {
        information_details_view = information_details_view_component.createObject(app_root)
        if(!information_details_view) {
            native_utils.showMessageBox("Failed to create component InformationDetailView: " + information_details_view_component.errorString())
            return;
        }
        information_details_view.goBackToCategory.connect(handleGoBackToCategory)
    }

    information_details_view.openWithItem(oid, category, title)

    navigateToView(information_details_view)
}

function openInformationView()
{
    if(!information_view_component) {
        information_view_component = Qt.createComponent("InformationView.qml")
        if(information_view_component.status == Component.Error) {
            native_utils.showMessageBox("Failed to create component InformationView component: " + information_view_component.errorString());
            return;
        }
    }

    if(!information_view) {
        information_view = information_view_component.createObject(app_root)
        if(!information_view) {
            native_utils.showMessageBox("Failed to create component InformationView: " + information_view_component.errorString())
            return;
        }
        information_view.newsClicked.connect(openInformationDetailView)
    }

    navigateToPrimaryView(information_view)
}

function handleGoBackToCategory(category)
{
    information_view.category = category
    page_stack.pop()
}

function openFotoCategoryView()
{
    if(!foto_category_view_component) {
        foto_category_view_component = Qt.createComponent("FotoCategoryView.qml")
        if(foto_category_view_component.status == Component.Error) {
            native_utils.showMessageBox("Failed to create component FotoCategoryView component: " + foto_category_view_component.errorString());
            return;
        }
    }

    if(!foto_category_view) {
        foto_category_view = foto_category_view_component.createObject(app_root)
        if(!foto_category_view) {
            native_utils.showMessageBox("Failed to create component FotoCategoryView: " + foto_category_view_component.errorString())
            return;
        }
        foto_category_view.openGallery.connect(openFotoGalleryView)
    }

    navigateToPrimaryView(foto_category_view)
}

function openFotoGalleryView(oid, category)
{
    if(!foto_gallery_view_component) {
        foto_gallery_view_component = Qt.createComponent("FotoGalleryView.qml")
        if(foto_gallery_view_component.status == Component.Error) {
            native_utils.showMessageBox("Failed to create component FotoGalleryView component: " + foto_gallery_view_component.errorString());
            return;
        }
    }

    if(!foto_gallery_view) {
        foto_gallery_view = foto_gallery_view_component.createObject(app_root)
        if(!foto_gallery_view) {
            native_utils.showMessageBox("Failed to create component FotoGalleryView: " + foto_gallery_view_component.errorString())
            return;
        }
        foto_gallery_view.changeMainCategory.connect(openFotoCategoryViewWithCategory)
    }

    foto_gallery_view.open(oid, category)
    navigateToView(foto_gallery_view)
}


function openFotoCategoryViewWithCategory(category)
{
    foto_category_view.category = category
    page_stack.pop()
}

function openVideoView()
{
    if(!video_view_component) {
        video_view_component = Qt.createComponent("VideoView.qml")
        if(video_view_component.status == Component.Error) {
            native_utils.showMessageBox("Failed to create component VideoView component: " + video_view_component.errorString());
            return;
        }
    }

    if(!video_view) {
        video_view = video_view_component.createObject(app_root)
        if(!video_view) {
            native_utils.showMessageBox("Failed to create component VideoView: " + video_view_component.errorString())
            return;
        }
    }

    navigateToPrimaryView(video_view)
}

function openVideoPlayer(url)
{
    if(!video_player_component) {
        video_player_component = Qt.createComponent("VideoPlayerView.qml")
        if(video_player_component.status == Component.Error) {
            native_utils.showMessageBox("Failed to create component VideoPlayerView component: " + video_player_component.errorString());
            return;
        }
    }

    if(!video_player_view) {
        video_player_view =  video_player_component.createObject(app_root)
        if(!video_player_view) {
            native_utils.showMessageBox("Failed to create component VideoPlayerView: " + video_player_component.errorString())
            return;
        }
    }

    navigateToView(video_player_view)
    video_player_view.openAndPlay(url)
}
