import QtQuick 1.0
import com.psiloc 1.1

Item {
    Popup {
        id: popup
        width: app_root.width
        height: app_root.height
        visible: status != DialogStatus.Closed
        enabled: status == DialogStatus.Open
        clip: true
        animationDuration: 100

        property real __dialog_Width : (app_root.width > app_root.height) ? (app_root.width * 0.3) : (app_root.width * 0.8)
        property real __dialog_Height : 180

        Image {
            source: "gfx/exit_popup/popup-popup_bg.png"
            anchors.centerIn: parent

            Text {
                anchors.left: parent.left
                anchors.right: parent.right
                anchors.top: parent.top
                anchors.bottom: ok_button.top
                anchors.topMargin: 55
                anchors.leftMargin: 10
                anchors.rightMargin: 10
                anchors.bottomMargin: 10
                text: "Czy chcesz zamknąć aplikację ?"
                wrapMode: Text.WordWrap
                color: "white"
                font.pixelSize: 20
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
            }

            PushButton {
                id: ok_button
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 10
                anchors.left: parent.left
                anchors.leftMargin: 10
                normal_image: "gfx/exit_popup/popup-button_off.png"
                pressed_image: "gfx/exit_popup/popup-button_on.png"
                onClicked: {
                    Qt.quit()
                }

                Text {
                    anchors.fill: parent
                    horizontalAlignment: Text.AlignHCenter
                    verticalAlignment: Text.AlignVCenter
                    elide: Text.ElideRight
                    text: "Tak"
                    color: "white"
                    font.pixelSize: 24
                }
            }

            PushButton {
                id: cancel_button
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 10
                anchors.right: parent.right
                anchors.rightMargin: 10
                normal_image: "gfx/exit_popup/popup-button_off.png"
                pressed_image: "gfx/exit_popup/popup-button_on.png"
                onClicked: {
                    popup.close()
                }

                Text {
                    anchors.fill: parent
                    horizontalAlignment: Text.AlignHCenter
                    verticalAlignment: Text.AlignVCenter
                    elide: Text.ElideRight
                    text: "Nie"
                    color: "white"
                    font.pixelSize: 24
                }
            }
        }
    }

    function open()
    {
        popup.open()
    }
}
