import QtQuick 1.0
import com.psiloc 1.1

Item {
    id: dlg_root_item

    Component {
        id: dlg_component

        Popup {
            id: popup
            width: app_root.width
            height: app_root.height
            visible: status != DialogStatus.Closed
            enabled: status == DialogStatus.Open
            clip: true
            animationDuration: 100

            signal okClicked()

            property alias text : info_text.text

            Image {
                source: "gfx/exit_popup/popup-popup_bg.png"
                anchors.centerIn: parent

                Text {
                    id: info_text
                    anchors.left: parent.left
                    anchors.right: parent.right
                    anchors.top: parent.top
                    anchors.bottom: ok_button.top
                    anchors.topMargin: 55
                    anchors.leftMargin: 10
                    anchors.rightMargin: 10
                    anchors.bottomMargin: 10
                    wrapMode: Text.WordWrap
                    color: "white"
                    font.pixelSize: 20
                    horizontalAlignment: Text.AlignHCenter
                    verticalAlignment: Text.AlignVCenter
                }

                PushButton {
                    id: ok_button
                    anchors.bottom: parent.bottom
                    anchors.bottomMargin: 10
                    anchors.horizontalCenter: parent.horizontalCenter
                    normal_image: "gfx/exit_popup/popup-button_off.png"
                    pressed_image: "gfx/exit_popup/popup-button_on.png"
                    onClicked: {
                        popup.okClicked()
                        popup.close()
                        popup.destroy()
                    }

                    Text {
                        anchors.fill: parent
                        horizontalAlignment: Text.AlignHCenter
                        verticalAlignment: Text.AlignVCenter
                        elide: Text.ElideRight
                        text: "Ok"
                        color: "white"
                        font.pixelSize: 24
                    }
                }
            }
        }
    }

    function open(text, callback)
    {
        var dlg = dlg_component.createObject(dlg_root_item)
        dlg.text = text
        dlg.okClicked.connect(callback)
        dlg.open()
    }
}
