import QtQuick 1.0
import "InformationView.js" as IV
import com.psiloc 1.1
import "UIConstants.js" as UI
import QtWebKit 1.0

Page {
    id: root
    clip: true
    orientationLock: PageOrientation.LockPortrait

    property int category
    signal goBackToCategory(int category)

    function reload()
    {
        info_details_model.reload()
    }

    tab_index : 0
    onReloadClicked: { root.reload(); }
    top_category: "INFORMACJE"
    bottom_category: IV.nazwaKategorii(root.category)
    onMenuClicked: { drop_menu.open(root.category) }

    InformationViewDropDownMenu {
        id: drop_menu
        onCategoryClicked: {
            if(category != root.category)
            {
                root.goBackToCategory(category)
            }
        }
    }

    Binding {
        target: webView
        property: "html"
        value: info_details_model.newsRender
        when: root.status == PageStatus.Active
    }

    Binding {
        target: webView
        property: "html"
        value: ""
        when: root.status == PageStatus.Inactive
    }

    FlickableWebView {
        id: webView
        anchors.fill: parent
        anchors.margins: 10
        onLinkClicked: {
            console.log("On URL changed enter " + link)
            info_details_model.parseOidUrl(link)
            console.log("On URL changed leave")
        }
    }

    ScrollBar {
        id: scroll_bar
        anchors { right: parent.right; top: parent.top; bottom: parent.bottom; }
        width: 8
        scrollArea: webView
    }

    InformationDetailsModel {
        id: info_details_model
        onStatusChanged: {
            if(status == InformationDetailsModel.Loading) {
                wait_dialog.start()
            } else {
                wait_dialog.stop()
            }
        }
        viewSize: Qt.size(webView.width, webView.height)
        onLaunchVideoUrl: {
            console.log("Launch VURL " + vurl)
            app_root.playVideo(vurl)
        }
    }

    function openWithItem(oid, category, title)
    {
        console.log("Load OID " + oid)
        webView.html = ""
        webView.url = ""
        root.category = category
        info_details_model.overrideTitle = title
        info_details_model.loadOid(oid)
    }
}
