import QtQuick 1.0

Item {
    property alias source : image.source

    height : (image.status == Image.Ready) ? image.sourceSize.height : 100

    Rectangle {
        id: rect
        anchors.fill: parent
        color: "black"
        visible: image.status == Image.Loading

        Image {
            id: busy_id
            source: "gfx/busy.png";
            anchors.centerIn: parent
            NumberAnimation on rotation { running: rect.visible; from: 0; to: 360; loops: Animation.Infinite; duration: 1200 }
        }
    }

    Image {
        id: image
        anchors.horizontalCenter: parent.horizontalCenter
        visible: image.status == Image.Ready
    }
}
