import QtQuick 1.0

Item {
    id: root
    width: image_normal.width
    height: image_normal.height        

    property alias normal_image : image_normal.source
    property alias pressed_image : image_pressed.source
    property alias source_size : image_normal.sourceSize
    property bool pressed : false

    signal clicked()

    Image {
        id: image_normal
        opacity: 1
        anchors.centerIn: parent
    }

    Image {
        id: image_pressed
        opacity: 0
        anchors.centerIn: parent
    }

    MouseArea {
        anchors.fill: parent

        onPressed: {
            root.pressed = true
            root.state = "PRESSED"
        }

        onReleased: {
            root.state = ""
            root.pressed = false
            root.clicked()
        }

        onCanceled: {
            root.state = ""
            root.pressed = false
        }
    }

    states: [
        State {
            name: ""
            PropertyChanges {
                target: image_normal
                opacity: 1
            }
            PropertyChanges {
                target: image_pressed
                opacity: 0
            }
        },
        State {
            name: "PRESSED"
            PropertyChanges {
                target: image_normal
                opacity: 0
            }
            PropertyChanges {
                target: image_pressed
                opacity: 1
                scale: 0.9
            }
        }
    ]

    transitions: [
        Transition {
            from: "*"
            to: "*"
            NumberAnimation { target: image_normal; property: "opacity"; duration: 100 }
            NumberAnimation { target: image_pressed; property: "opacity"; duration: 100 }
        }
    ]
}
