import QtQuick 1.0
import com.psiloc 1.1

Item {
    id: root

    property alias source : controller.sourceUrl
    property alias resizeMode : controller.resizeMode
    property alias sourceSize : image.sourceSize
    property alias status : image.status
    property alias imageX : i_x.x
    property alias imageY : i_x.y

    // Lock area under image
    MouseArea {
        anchors.fill: parent
        enabled: image.status == Image.Loading
    }

    TvnImageController {
        id: controller
        screenSize: Qt.size(app_root.width, app_root.height)
        preferredSize: Qt.size(root.width, root.height)
        sourceSize: image.sourceSize
    }

    Item {
        id: i_x
        width: controller.rotation == 0 ? controller.size.width : controller.size.height
        height: controller.rotation == 0 ? controller.size.height : controller.size.width
        anchors.centerIn: parent
    }

    Rectangle {
        id: rect
        anchors.fill: parent
        color: "black"
        visible: image.status == Image.Loading

        Image {
            id: busy_id
            source: "gfx/busy.png";
            anchors.centerIn: parent
            NumberAnimation on rotation { running: rect.visible; from: 0; to: 360; loops: Animation.Infinite; duration: 1200 }
        }
    }

    Image {
        id: image
        source: controller.effectiveUrl
        width: controller.size.width
        height: controller.size.height
        rotation: controller.rotation
        anchors.centerIn: parent
        transformOrigin: Item.Center
        fillMode: Image.PreserveAspectFit
    }
}
