import QtQuick 1.0
import "SplashScreen.js" as Splash

Rectangle {
    id: splash
    anchors.fill: parent
    color: "#0074CB"

    property int frame : 0

    MouseArea {
        anchors.fill: parent
    }

    Timer {
        id: animation_timer
        running: true
        interval: 150
        repeat: true
        onTriggered: {
            var next = frame + 1
            if(next >= Splash.Images.length)
                next = 0;
            frame = next
        }
    }

    Image {
        source: Splash.currentFrame(frame)
        anchors.centerIn: parent
    }

    function handleCompleted()
    {
        console.log("Splash finished")
        opacity = 0
        destroy()
    }
}
