import QtQuick 1.0
import "UIConstants.js" as UI

Item {
    id: container

    Rectangle {
        anchors.fill: parent
        color: "white"
    }

    opacity: 0
    height: busy_id.sourceSize.height + 20

    MouseArea {
        anchors.fill: parent
    }

    property bool on: false

    Image {
        id: busy_id

        source: "gfx/busy.png"; visible: container.on
        anchors.centerIn: parent
        NumberAnimation on rotation { running: container.on; from: 0; to: 360; loops: Animation.Infinite; duration: 1200 }
    }

    states: State {
        name: "visible"
        when: container.on
        PropertyChanges { target: container; opacity: 0.5 }
    }

    transitions: Transition {
        from: "visible"; to: ""
        NumberAnimation { properties: "opacity"; duration: 600 }
    }
}
