import QtQuick 1.0
import "UIConstants.js" as UI

Rectangle {
    id: container
    anchors.fill: parent
    color: "black"
    opacity: 0
    z: 10

    MouseArea {
        anchors.fill: parent
    }

    property bool on: false

    Image {
        source: "gfx/busy.png"; visible: container.on
        anchors.centerIn: parent
        NumberAnimation on rotation { running: container.on; from: 0; to: 360; loops: Animation.Infinite; duration: 1200 }
    }

    function start()
    {
        opacity = 0.5
        container.on = true
    }

    function stop()
    {
        container.on = false
        opacity = 0
    }
}
