import QtQuick 1.1
import com.nokia.meego 1.0
import com.psiloc 1.1 as Psiloc

Window {
    id: main_window
    objectName: "meego_main"

    Item {
        id: inner_component
        anchors.fill: parent
    }

    Psiloc.NativeUtils {
        id: native_utils

        onNetworkSessionCreated: {
            console.log("Create app view component")
            var appViewComponent = Qt.createComponent("AppView.qml")
            if(appViewComponent.status == Component.Ready) {
                var appView = appViewComponent.createObject(inner_component, {"anchors.fill": inner_component})
                appView.informationViewLoaded.connect(native_utils.allLoaded)
            } else {
                native_utils.showMessageBox("Failed to create AppView: " + appViewComponent.errorString())
                Qt.quit()
            }
        }
    }


    Component.onCompleted: {
        console.log("Launch meego main")
        var splashComponent = Qt.createComponent("SplashScreen.qml");
        if(splashComponent.status == Component.Ready) {
            var splash = splashComponent.createObject(inner_component, {"z": 20})
            native_utils.applicationReady.connect(splash.handleCompleted)
        } else {
            native_utils.showMessageBox("Failed to create splash: " + splashComponent.errorString())
            Qt.quit()
        }
        native_utils.startApp()
    }
}
